KButtonBox Class Reference

`#include <kbuttonbox.h>`

Inherits QWidget.

## Public Member Functions

| KButtonBox (QWidget *parent, Orientation _orientation=Horizontal, int border=0, int _autoborder=6)
| ~KButtonBox ()
virtual QSize | sizeHint () const
virtual QSizePolicy | sizePolicy () const
virtual void | resizeEvent (QResizeEvent *)
QPushButton * | addButton (const QString &text, bool noexpand=false)
QPushButton * | addButton (const QString &text, QObject *receiver, const char *slot, bool noexpand=false)
QPushButton * | addButton (const KGuiItem &guiitem, bool noexpand=false)
QPushButton * | addButton (const KGuiItem &guiitem, QObject *receiver, const char *slot, bool noexpand=false)
void | addStretch (int scale=1)
void | layout ()

## Protected Member Functions

QSize | bestButtonSize () const
void | placeButtons ()
QSize | buttonSizeHint (QPushButton *) const
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Container widget for buttons.

This class uses Qt layout control to place the buttons; can handle both vertical and horizontal button placement. The default border is now `0` (making it easier to deal with layouts). The space between buttons is now more Motif compliant.

Author
  Mario Weilguni mweil.nosp@m.guni.nosp@m.@sime.nosp@m..com

Version

Id
  kbuttonbox.h 465272 2005-09-29 09:47:40Z mueller

Definition at line 42 of file kbuttonbox.h.

## Constructor & Destructor Documentation

KButtonBox::KButtonBox | ( | QWidget * | parent,
|  | Orientation | _orientation = `Horizontal`,
|  | int | border = `0`,
|  | int | _autoborder = `6`
| ) |  |

Create an empty container for buttons.

If `_orientation` is `Vertical`, the buttons inserted with addButton() are laid out from top to bottom, otherwise they are laid out from left to right.

Definition at line 82 of file kbuttonbox.cpp.

KButtonBox::~KButtonBox | ( |  | ) |

Free private data field.

Definition at line 94 of file kbuttonbox.cpp.

## Member Function Documentation

QPushButton * KButtonBox::addButton | ( | const QString & | text,
|  | bool | noexpand = `false`
| ) |  |

Add a new QPushButton.

Parameters

  text | the text of the button to add
  noexpand | If `noexpand` is `false`, the width of the button is adjusted to fit the other buttons (the maximum of all buttons is taken). If `noexpand` is `true`, the width of this button will be set to the minimum width needed for the given text).

Returns
  A pointer to the new button.

Definition at line 98 of file kbuttonbox.cpp.

QPushButton * KButtonBox::addButton | ( | const QString & | text,
|  | QObject * | receiver,
|  | const char * | slot,
|  | bool | noexpand = `false`
| ) |  |

Add a new QPushButton.

Parameters

  text | the text of the button to add.
  receiver | An object to connect to.
  slot | A Qt slot to connect the 'clicked()' signal to.
  noexpand | If `noexpand` is `false`, the width of the button is adjusted to fit the other buttons (the maximum of all buttons is taken). If `noexpand` `true`, the width of this button will be set to the minimum width needed for the given text).

Returns
  A pointer to the new button.

Definition at line 123 of file kbuttonbox.cpp.

QPushButton * KButtonBox::addButton | ( | const KGuiItem & | guiitem,
|  | bool | noexpand = `false`
| ) |  |

Add a new QPushButton.

Parameters

  guiitem | text and icon on the button
  noexpand | If `noexpand` is `false`, the width of the button is adjusted to fit the other buttons (the maximum of all buttons is taken). If `noexpand` is `true`, the width of this button will be set to the minimum width needed for the given text).

Returns
  A pointer to the new button.

Since
  3.3

Definition at line 110 of file kbuttonbox.cpp.

QPushButton * KButtonBox::addButton | ( | const KGuiItem & | guiitem,
|  | QObject * | receiver,
|  | const char * | slot,
|  | bool | noexpand = `false`
| ) |  |

Add a new QPushButton.

Parameters

  guiitem | text and icon on the button
  receiver | An object to connect to.
  slot | A Qt slot to connect the 'clicked()' signal to.
  noexpand | If `noexpand` is `false`, the width of the button is adjusted to fit the other buttons (the maximum of all buttons is taken). If `noexpand` `true`, the width of this button will be set to the minimum width needed for the given text).

Returns
  A pointer to the new button.

Since
  3.3

Definition at line 139 of file kbuttonbox.cpp.

void KButtonBox::addStretch | ( | int | scale = `1` | ) |

Add a stretch to the buttonbox.

Can be used to separate buttons. That is, if you add the buttons OK and Cancel, add a stretch, and then add the button Help, the buttons OK and Cancel will be left-aligned (or top-aligned for vertical) whereas Help will be right-aligned (or bottom-aligned for vertical).

See also
  QBoxLayout

Definition at line 154 of file kbuttonbox.cpp.

QSize KButtonBox::bestButtonSize | ( |  | ) | const

protected

Returns
  the best size for a button. Checks all buttons and takes the maximum width/height.

Definition at line 276 of file kbuttonbox.cpp.

void KButtonBox::layout | ( |  | ) |

This function must be called once after all buttons have been inserted.

It will start layout control.

Definition at line 163 of file kbuttonbox.cpp.

QSize KButtonBox::sizeHint | ( | void |  | ) | const

virtual

Returns
  The minimum size needed to fit all buttons.

This size is calculated by the width/height of all buttons plus border/autoborder.

Definition at line 303 of file kbuttonbox.cpp.

The documentation for this class was generated from the following files:

- kbuttonbox.h
- kbuttonbox.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys